import { RuntimeM2MField, SubmitValue } from '@oinone/kunlun-engine';
import { ReturnPromise } from '@oinone/kunlun-shared';
import { FormSubviewListFieldWidget } from '../../../../basic';
export declare class FormM2MTableFieldWidget extends FormSubviewListFieldWidget<RuntimeM2MField> {
    protected refreshValueProcess(): Promise<void>;
    protected initSubviewData(): ReturnPromise<void>;
    submit(submitValue: SubmitValue): Promise<import("@oinone/kunlun-engine").SubmitRelationValue | Record<string, unknown> | undefined>;
}
